The Alternative Csound Reference Manual
Previous |  | Next

# cos

cos -- Performs a cosine function.

## Description

Returns the cosine of x (x in radians).

## Syntax

cos(x) (no rate restriction)

## Examples

Here is an example of the cos opcode. It uses the files cos.orc and cos.sco.

Example 1. Example of the cos opcode.

    /* cos.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 25
      i1 = cos(irad)

      print i1
    endin
    /* cos.orc */

    /* cos.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* cos.sco */

Its output should include lines like this:

    instr 1:  i1 = 0.991

## See Also

cosh, cosinv, sin, sinh, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Previous | Home | Next
convolve | Up | cosh